Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225038 - Review Request: medit - Another very nice Gtk+ text editor
Summary: Review Request: medit - Another very nice Gtk+ text editor
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-01-27 18:04 UTC by Damien Durand
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-15 17:59:03 UTC


Attachments (Terms of Use)

Description Damien Durand 2007-01-27 18:04:30 UTC
Spec URL: http://glive.tuxfamily.org/fedora/medit/medit.spec
SRPM URL: http://glive.tuxfamily.org/fedora/medit/medit-0.8.1-1.src.rpm
Description: medit is a multiplatform GTK text editor. Started originally as a simple 
built-in editor component in GGAP, it grew up to a real text editor

Comment 1 Xavier Lamien 2007-01-27 19:01:02 UTC
In fields %install,
in your "desktop-file-install" line commande, "--delete-original" was pasted
twice...?

"--vendor=Fedora" is not required anymore, juste set --vendor="".

you shoudn't past all BuildRequires on the same line.

Comment 2 Michael Schwendt 2007-01-27 20:59:49 UTC
* must not include /usr/share/icons/hicolor/icon-theme.cache

* missing scriptlets for gtk-update-icon-cache (hicolor icons)
  http://fedoraproject.org/wiki/Packaging/ScriptletSnippets

* must not include /usr/share/mime/mime.cache

* contents of /usr/share/mime/ and subdirs are highly questionable
and need a very close look


Comment 3 Damien Durand 2007-02-03 16:33:38 UTC
new changes
- Fix desktop-file
- Add post and postun section about gtk-update-icon-cache and mimeinfo
- Fix files section

New Spec : http://glive.tuxfamily.org/fedora/medit/medit.spec
New SRPM : http://glive.tuxfamily.org/fedora/medit/medit-0.8.1-2.src.rpm



Comment 4 Chitlesh GOORAH 2007-02-03 20:53:27 UTC
You should probably look at these 
chitlesh(SPECS)[0]$rpmlint /home/chitlesh/rpmbuild/RPMS/i386/medit-0.8.1-2.i386.rpm
E: medit only-non-binary-in-usr-lib
E: medit standard-dir-owned-by-package /usr/share/icons
E: medit non-executable-script /usr/lib/moo/plugins/lib/pyconsole.py 0644
E: medit zero-length /usr/share/mime/XMLnamespaces
E: medit zero-length /usr/share/mime/aliases
E: medit zero-length /usr/lib/moo/plugins/project/mprj/test.py
E: medit non-executable-script /usr/share/moo/language-specs/check.sh 0644


(In reply to comment #1)
> "--vendor=Fedora" is not required anymore, juste set --vendor="".

you should probably take note of this as well

what's the difference between mooedit and medit ???
 



Comment 5 Michael Schwendt 2007-02-04 12:50:37 UTC
> contents of /usr/share/mime/ and subdirs are highly
> questionable and need a very close look

Please do investigate as why your package includes files which
belong elsewhere or are generated at run-time:

-rw-r--r--  /usr/share/mime/XMLnamespaces
-rw-r--r--  /usr/share/mime/aliases
-rw-r--r--  /usr/share/mime/globs
-rw-r--r--  /usr/share/mime/magic
-rw-r--r--  /usr/share/mime/subclasses

Also on your system, these files do exist already.


Comment 6 Jens Petersen 2007-03-19 04:44:38 UTC
When I try to install medit-0.8.1-2.i386 I get:

        file /usr/share/mime/globs from install of medit-0.8.1-2 conflicts with
file from package monodevelop-0.12-7.fc6


Comment 7 Michael Schwendt 2007-03-19 10:33:00 UTC
That is also a packaging bug in monodevelop then, as the file must
not be included.


Comment 8 Chitlesh GOORAH 2007-04-26 10:06:20 UTC
Ping Damien?

Comment 9 Chitlesh GOORAH 2007-06-12 09:21:16 UTC
It's nearly two months now, since my last ping.
I'll be closing this bug as WONTFIX, if I hear no news from DamienDurand till 
15 June 2007.

PS: fedora contributors who are away for a long time should fill up their 
absence in: http://fedoraproject.org/wiki/Vacation

Comment 10 Chitlesh GOORAH 2007-06-15 17:59:03 UTC
Closing !


Note You need to log in before you can comment on or make changes to this bug.